/* =========================
   RESET BASE
========================= */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Trebuchet MS", sans-serif;
}


/* =========================
   VARIABLES :root
========================= */

:root {
  --main-blue: #122257;
  --light-blue: #284cc4;
  --white: #f2f2f2;
  --dark: #0b0f1a;

  --card-bg: rgba(0, 15, 48, 0.45);
  --footer: rgba(0, 15, 48, 0.45);

  --font-title: "CaslonAntique", serif;
}

/* =========================
   BASE
========================= */

body {
  color: #e5e5e5;
  overflow-x: hidden;

  background-image: url("./src/GeminiServerBanner.png");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: fixed;
}

body::before {
  content: "";
  position: fixed;
  inset: 0;
  background: linear-gradient(rgba(169, 191, 241, 0.88),
      rgba(18, 27, 53, 0.94));
  z-index: -2;
}

body::after {
  content: "";
  position: fixed;
  inset: 0;
  background-image: radial-gradient(white 1px, transparent 1px);
  background-size: 50px 50px;
  opacity: 0.08;
  z-index: -1;
}


/* =========================
   CONTENT TYPOGRAPHY
========================= */

@font-face {
  font-family: "CaslonAntique";
  src: url("./fonts/CaslonAntique.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

/* PARAGRAPH CONTENT */ 

.hero-content p,
.card p,
.rules-card p,
.about-text p {
  line-height: 1.8;
  margin-bottom: 18px;
}

.hero-content ul,
.card ul,
.rules-card ul,
.about-text ul {
  margin-bottom: 18px;
  padding-left: 20px;
  list-style-position: outside;
}

.hero-content li,
.card li,
.rules-card li,
.about-text li {
  line-height: 1.7;
  margin-bottom: 8px;
}


h1 {
  font-size: 3.2rem;
  letter-spacing: 3px;
  font-family: var(--font-title);
  text-transform: uppercase;
  letter-spacing: 12px;
}

h2 {
  font-size: 2.4rem;
  letter-spacing: 2px;
  font-family: var(--font-title);
  text-transform: uppercase;

  letter-spacing: 6px;
}

h3 {
  font-size: 1.6rem;
  letter-spacing: 1px;
}


/* =========================
   NAVIGATION BASE
========================= */

nav {
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 999;

  background: rgba(0, 15, 48, 0.45);
  border-bottom: 1px solid rgba(255,255,255,0.08);
  backdrop-filter: blur(10px);

  transition:
    transform 0.35s ease,
    background 0.3s ease;
}

/* hide on scroll */
nav.nav-up {
  transform: translateY(-100%);
}

/* darker bg while scrolling */
nav.scrolled {
  background: rgba(8, 12, 24, 0.92);
}

/* =========================
   NAV INNER
========================= */

.nav-inner {
  max-width: 1200px;
  margin: 0 auto;
  padding: 18px 8%;

  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 20px;
}

/* logo */

.navImage img {
  width: 150px;
  display: block;
}

/* =========================
   DESKTOP NAV
========================= */

#nav-links {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 18px;

  list-style: none;
}

#nav-links a {
  color: var(--white);
  text-decoration: none;
  font-weight: bold;
  transition: 0.3s;
}

#nav-links a:hover {
  color: var(--light-blue);
}

/* nav button */

#nav-links .btn {
  padding: 10px 18px;
  background: var(--main-blue);
  border-radius: 8px;
}

#nav-links .btn:hover {
  background: var(--light-blue);
  color: white;
  transform: translateY(-2px);
}

/* =========================
   HAMBURGER
========================= */

.hamburger {
  display: none;
  flex-direction: column;
  gap: 5px;
  cursor: pointer;
}

.hamburger span {
  width: 28px;
  height: 3px;
  border-radius: 2px;
  background: white;
}

/* =========================
   MOBILE
========================= */

@media (max-width: 768px) {

  .hamburger {
    display: flex;
  }

  #nav-links {
    position: fixed;

    top: 82px;
    left: 0;
    right: 0;

    display: none;
    flex-direction: column;
    align-items: center;

    gap: 20px;
    padding: 30px;

    background: rgba(8, 12, 24, 0.96);
    backdrop-filter: blur(12px);

    border-bottom: 1px solid rgba(255,255,255,0.08);
  }

  #nav-links.active {
    display: flex;
  }
}
/* =========================
   HERO
========================= */

.hero {
  min-height: 60vh;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 150px 20px 50px;
}

.hero-content {
  max-width: 900px;
  display: flex;
  gap: 12px;
  flex-direction: column;
}

.logo {
  width: 100%;
  max-width: 520px;
  height: auto;
  display: block;
  margin: 0 auto;
}

.hero p {
  font-size: 1.2rem;
  line-height: 1.8;
  color: #d6d6d6;
  margin-bottom: 24px;
}

/* =========================
   BUTTONS
========================= */

.buttons {
  display: flex;
  justify-content: center;
  gap: 20px;
  flex-wrap: wrap;
}

.btn {
  padding: 15px 35px;
  background: var(--main-blue);
  color: white;
  border-radius: 8px;
  text-decoration: none;
  font-weight: bold;
  transition: 0.3s;
  box-shadow: 0 0 15px rgba(15, 47, 140, 0.5);
}

.btn:hover {
  background: var(--light-blue);
  transform: translateY(-2px);
}

.btn-sec {
  padding: 15px 35px;
  background: var(--light-blue);
  color: white;
  border-radius: 8px;
  text-decoration: none;
  font-weight: bold;
  transition: 0.3s;
  box-shadow: 0 0 15px rgba(15, 47, 140, 0.5);
}

.btn-sec:hover {
  background: var(--main-blue);
  transform: translateY(-2px);
}

/* =========================
   SECTIONS
========================= */

section {
  max-width: 1292px;
  margin: 0 auto;
  padding: 100px 10%;
}


/* =========================
   CARDS
========================= */

.card-grid {
  display: grid;
  grid-template-columns: repeat(2, minmax(260px, 1fr));
  gap: 25px;
  margin-top: 40px;
}

.card {
  background: var(--card-bg);
  border: 1px solid rgba(255, 255, 255, 0.08);
  padding: 30px;
  border-radius: 14px;
  backdrop-filter: blur(10px);
  transition: 0.3s;
}

.card img {
  max-width: 100%;
  margin-bottom: 16px;
  filter: grayscale(100%);
}

.card:hover {
  transform: translateY(-5px);
  border-color: rgba(40, 76, 196, 0.5);
}

.card h3 {
  margin-bottom: 15px;
  color: white;
}

.card p {
  color: #c9c9c9;
  line-height: 1.6;
}

/* =========================
   DIVIDER
========================= */

.divider {
  width: 100%;
  max-width: 1292px;
  margin: 25px auto;
  height: 1px;
  position: relative;

  background: linear-gradient(90deg,
      transparent,
      rgba(255, 255, 255, 0.25),
      rgba(255, 255, 255, 0.9),
      rgba(255, 255, 255, 0.25),
      transparent);
}

.divider::after {
  content: "";
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);

  width: 8px;
  height: 8px;
  border-radius: 50%;

  background: #ffffff;
  box-shadow:
    0 0 8px rgba(255, 255, 255, 0.9),
    0 0 18px rgba(180, 220, 255, 0.6);
}

/* =========================
   LORE / ABOUT BOX
========================= */

.lore-box {
  margin-top: 30px;
  background: var(--card-bg);
  border-left: 4px solid var(--white);
  padding: 30px;
  border-radius: 10px;

  display: flex;
  flex-direction: column;
  gap: 20px;
}

.about-text {
  line-height: 1.9;
}

.read-more {
  align-self: flex-end;
  display: inline-flex;
  gap: 8px;

  color: var(--white);
  font-weight: bold;
  text-decoration: none;

  transition: 0.3s;
}

.read-more:hover {
  color: var(--light-blue);
  transform: translateX(4px);
}

/* =========================
   FOOTER
========================= */

footer {
  text-align: center;
  padding: 40px 20px;
  background: var(--footer);
  border-top: 1px solid rgba(255, 255, 255, 0.08);
  color: #8c8c8c;
}

/* =========================
   RULES (TABS)
========================= */

.rules-page {
  min-height: 60vh;
}

.hero-rules {
  min-height: 0px !important;
  padding-bottom: 0px !important;
}

.tab-content {
  margin: auto auto;
  border-left: 4px solid var(--white);
  border-radius: 14px;
}

.rules-tabs {
  display: flex;
  justify-content: center;
  gap: 15px;
  flex-wrap: wrap;
  margin-bottom: 30px;
}

.rules-card {
  background: var(--card-bg);
  border: 1px solid rgba(255, 255, 255, 0.08);
  padding: 30px;
  border-radius: 14px;
  backdrop-filter: blur(10px);
  transition: 0.3s;
}

.rules-card img {
  max-width: 100%;
  margin-bottom: 16px;
  filter: grayscale(100%);
}

.tab-btn {
  padding: 12px 20px;
  border-radius: 10px;
  border: 1px solid rgba(255, 255, 255, 0.1);
  background: rgba(29, 35, 48, 0.096);
  color: #d8d8d8;
  cursor: pointer;
  transition: 0.3s;
  font-weight: bold;
  backdrop-filter: blur(10px);
  font-size: 14px;
}

.tab-btn:hover {
  transform: translateY(-2px);
  color: white;
  border-color: rgba(40, 76, 196, 0.5);
}

.tab-btn.active {
  background: var(--main-blue);
  color: white;
  font-size: 16px;
}

.tab-content {
  display: none;
}

.tab-content.active {
  display: block;
}


/* =========================
   MOBILE
========================= */

@media (max-width: 768px) {

  .hero {
    padding-top: 180px;
  }

  .hero p {
    font-size: 1rem;
  }

  section {
    padding: 40px 7%;
  }

  .card-grid {
    grid-template-columns: 1fr;
  }

  .buttons {
    flex-direction: column;
    align-items: center;
  }

  .btn {
    width: 100%;
    max-width: 300px;
    text-align: center;
  }

  nav ul {
    flex-direction: column;
  }

  .rules-tabs {
    flex-direction: column;
  }

  .tab-btn {
    width: 100%;
  }
}